Xerces2 Implementation: Class XSDeclarationPool

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSDeclarationPool

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSDeclarationPool

public final class XSDeclarationPool
extends java.lang.Object

This class is pool that enables caching of XML Schema declaration objects. Before a compiled grammar object is garbage collected, the implementation will add all XML Schema component declarations to the pool. Note: The cashing mechanism is not implemented yet.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XSDeclarationPool.java 446734 2006-09-15 20:51:23Z mrglavas $
Author:
  Elena Litani, IBM

Constructor Summary
`XSDeclarationPool()`

Method Summary
`XSAttributeDecl` | `getAttributeDecl()`
`XSAttributeUseImpl` | `getAttributeUse()`
`XSComplexTypeDecl` | `getComplexTypeDecl()`
`XSElementDecl` | `getElementDecl()`
`XSModelGroupImpl` | `getModelGroup()`
`XSParticleDecl` | `getParticleDecl()`
`XSSimpleTypeDecl` | `getSimpleTypeDecl()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDeclarationPool

    public XSDeclarationPool()

Method Detail

### getElementDecl

    public final XSElementDecl getElementDecl()

### getAttributeDecl

    public final XSAttributeDecl getAttributeDecl()

### getAttributeUse

    public final XSAttributeUseImpl getAttributeUse()

### getComplexTypeDecl

    public final XSComplexTypeDecl getComplexTypeDecl()

### getSimpleTypeDecl

    public final XSSimpleTypeDecl getSimpleTypeDecl()

### getParticleDecl

    public final XSParticleDecl getParticleDecl()

### getModelGroup

    public final XSModelGroupImpl getModelGroup()

### reset

    public void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.